<template>
  <VContent>
    <RouterView />
    <!-- Welcome -->
    <VSnackbar
      v-model="snackbar"
      :timeout="6000"
      color="primary"
      bottom
      left
    >
      <VIcon
        dark
        left
      >
        info
      </VIcon>
      <span>
        Seja bem-vindo!
      </span>
      <VBtn
        flat
        @click="snackbar = false"
      >
        Fechar
      </VBtn>
    </VSnackbar>
    <!-- message:GraphQL -->
    <VSnackbar
      v-model="msg.status"
      :color="msg.type"
      :timeout="0"
      multi-line
    >
      <!-- eslint-disable-next-line vue/no-v-html -->
      <div v-html="msg.message" />
      <VBtn
        dark
        @click="msg = false"
      >
        Fechar
      </VBtn>
    </VSnackbar>
  </VContent>
</template>

<script lang="ts">
import { Vue, Component } from 'vue-property-decorator';

// State Management
import { store, mutations } from '@/observable';

@Component({
  computed: {
    msg: {
      get() {
        return store.msg;
      },
      set(val: boolean) {
        return mutations.boolMsg(val);
      },
    },
  },
})
export default class Root extends Vue {
  snackbar = false

  mounted() {
    setTimeout(() => { this.snackbar = true; }, 2000);
  }
}
</script>
